Subject: Re: [Webpush] [IANA #929427] Last Call: <draft-ietf-webpush-protocol-10.txt> (Generic Event Delivery Using HTTP Push) to Proposed Standard

From: Alissa Cooper <[email-masked]>
Date: Tue, 11 Oct 2016 09:17:29 -0400

I had assumed that port 1001 was specified in this document because it’s already in use. Assuming the authors definitely want 1001 assigned for this purpose, the WG chairs will need to do a quick consensus call about requesting early allocation for port 1001. Assuming the WG has consensus to do that, the chairs can then send a request for early allocation to IANA.

Thanks,
Alissa

> On Oct 10, 2016, at 5:34 PM, Sabrina Tanamal via RT <[email-masked]> wrote:
> ...

> Fourth, this document requests that the IANA Services Operator register system port number 1001. However, we cannot reserve specific numbers.
> 
> We can make a temporary one-year early allocation, to be marked "TEMPORARY" in the registry, which could be renewed for another year if this I-D has not yet been approved for publication by the allocation's expiration date. This procedure is described in RFC 7120. In short, after obtaining approval from the group and the AD, the webpush chairs should send a request for early allocation of system port number 1001 to [email-masked].
> 
> We understand that these are the only actions required to be completed upon approval of this document.
> 
> Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is only to confirm what actions will be performed. 
> 
> Please note that specific values cannot be reserved. However, early allocation is available for some types of registrations. For more information, please see RFC 7120.
> 
> Thank you,
> 
> Sabrina Tanamal
> IANA Services Specialist
> 
> (END IANA COMMENTS)
>

---

From: Brian Raymor <[email-masked]>
Date: Tue, 11 Oct 2016 16:17:25 +0000

On October 11, 2016, at 6:17 AM, Alissa Cooper <[email-masked]> wrote:

> I had assumed that port 1001 was specified in this document because it’s already in use.
> Assuming the authors definitely want 1001 assigned for this purpose, the WG chairs will
> need to do a quick consensus call about requesting early allocation for port 1001. Assuming
> the WG has consensus to do that, the chairs can then send a request for early allocation to IANA.

If it would be simpler, then it would be acceptable to change 1001 to TBD and request IANA to
make the assignment.

This is related to https://github.com/webpush-wg/webpush-protocol/issues/37. We could not specify the port
numbers that are currently in use for push services because 5223 and 5228 are already registered with IANA for 
other protocols. (The ports are registered to hpvirtgrp and hpvroom, although unofficially used by APNS and GCM.)
In reviewing RFC6335 Section 8.1.1, perhaps I misinterpreted the guidance to provide a suggestion to IANA, which
is why 1001 was requested:

https://tools.ietf.org/html/rfc6335

   o  Port Number: If assignment of a port number is desired, either the
      port number the requester suggests for assignment or indication of
      port range (user or system) MUST be provided.  If only a service
      name is to be assigned, this field is left empty.  If a specific
      port number is requested, IANA is encouraged to assign the
      requested number.  If a range is specified, IANA will choose a
      suitable number from the User or System Ports ranges.  Note that
      the applicant MUST NOT use the requested port in implementations
      deployed for use on the public Internet prior to the completion of
      the assignment, because there is no guarantee that IANA will
      assign the requested port.

...Brian

---

From: Alissa Cooper <[email-masked]>
Date: Tue, 11 Oct 2016 15:39:59 -0400

> On Oct 11, 2016, at 12:17 PM, Brian Raymor <[email-masked]> wrote:
> 
> 

Ah, I see. Since it’s not already in use I think the right thing to do is to request 1001 if it’s available, or another port number in the range if it’s not. I believe the problem for IANA is that it’s possible that 1001 will be assigned before this document gets published (by another document in the RFC Editor’s queue ahead of this one, for example). Let me run that by IANA and confirm.

Alissa